dofile_once( "mods/p2k/files/scripts/generic_lib.lua" )
dofile_once( "mods/p2ke_magic_numbers/files/magic_numbers_window.lua" )

table.insert( extensions,
{
	id = "MAGIC_NUMBERS",
	quick_name = "MNM",
	tooltip = "Magic Numbers",
	tooltip_tutorial = "LMB to open the Magic Window.",
	quick_script = function()
		create_magic_numbers_window({new_spawn()}, ui_z )
	end,
	custom_line = function( gui, uid, pic_x, pic_y, pic_z, wid, value )
		local clicked = 0
		
		new_text( gui, pic_x + 2, pic_y, pic_z - 0.01, "MAGIC_NUMBERS" )
		uid, clicked = new_button( gui, uid, pic_x, pic_y, pic_z, "mods/p2k/files/pics/button_131_A.png" )
		if( clicked ) then
			create_magic_numbers_window({new_spawn()}, ui_z )
		end
		
		return uid, value
	end,
})