dofile_once( "mods/p2k/files/scripts/generic_lib.lua" )

function magic2normal( text )
	text = string.gsub( text, "<MagicNumbers", "" )
	text = string.gsub( text, "</MagicNumbers>", "" )
	text = string.gsub( text, ">", "" )
	text = string.gsub( text, "%s+", "|" )
	
	return text
end

function normal2magic( text )
	local magic_numbers = "<MagicNumbers\n"
	local normal_numbers = D_extractor( text ) or {}
	
	for i,number in ipairs( normal_numbers ) do
		magic_numbers = magic_numbers.."	"..number.."\n"
	end
	magic_numbers = magic_numbers.."\n></MagicNumbers>"
	
	return magic_numbers
end

function magic_extractor( raw_magic )
	local fancy_magic = {}
	
	for i,magic in ipairs( raw_magic ) do
		local number = {}
		for value in string.gmatch( magic, "([^=]+)" ) do
			value = string.gsub( value, "\"", "" )
			table.insert( number, value )
		end
		table.insert( fancy_magic, number )
	end
	
	return fancy_magic
end

function magic_packer( fancy_magic )
	local raw_magic = {}
	
	for i,magic in ipairs( fancy_magic ) do
		table.insert( raw_magic, magic[1].."=\""..magic[2].."\"\n" )
	end
	
	return raw_magic
end