ModLuaFileAppend( "mods/p2k/files/scripts/extensions.lua", "mods/p2ke_magic_numbers/files/extension.lua" )

function OnModInit()
	dofile_once( "mods/p2k/files/scripts/generic_lib.lua" )
	dofile_once( "mods/p2ke_magic_numbers/files/magic_numbers_lib.lua" )
	
	local magic_file = "data/magic_numbers.xml"
	if( ModSettingGetNextValue( "p2ke_magic_numbers.ADVANCED" )) then
		magic_file = "mods/p2ke_magic_numbers/files/magic_numbers_full.xml"
	end
	
	if( ModSettingGetNextValue( "p2ke_magic_numbers.MAGIC_NUMBERS" ) == "<>" ) then
		ModSettingSetNextValue( "p2ke_magic_numbers.MAGIC_NUMBERS", magic2normal( ModTextFileGetContent( magic_file )), false )
	end
	
	ModTextFileSetContent( "mods/p2ke_magic_numbers/files/magic_numbers_custom.xml", normal2magic( ModSettingGetNextValue( "p2ke_magic_numbers.MAGIC_NUMBERS" )))
	
	if( ModSettingGetNextValue( "p2ke_magic_numbers.USE_CUSTOM" )) then
		ModMagicNumbersFileAdd( "mods/p2ke_magic_numbers/files/magic_numbers_custom.xml" )
	elseif( ModSettingGetNextValue( "p2ke_magic_numbers.REALLY_CHANGE" )) then
		ModMagicNumbersFileAdd( magic_file )
	end
end